%define name	cpqarrayd
%define version	2.0
%define release	1mdk

Summary:	Monitors SmartArray controllers and notifies via SNMP and syslog
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://starbreeze.knoware.nl/~hugo/compaq/
Source0:	%{name}-%{version}.tar.bz2
PreReq:		rpm-helper
Requires:	net-snmp
BuildRequires:	net-snmp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Cpqarrayd monitors SmartArray controllers for you and notifies by
sending SNMP traps and via syslog.

%prep

%setup -q

%build

%configure

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig

%makeinstall

perl -i -p -e 's:\@installroot\@:%{prefix}:;' scripts/cpqarrayd

install -m0755 scripts/cpqarrayd %{buildroot}%{_initrddir}
install scripts/cpqarrayd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/cpqarrayd

%post
%_post_service cpqarrayd

%preun
%_preun_service cpqarrayd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README
%config(noreplace) %attr(0755,root,root) %{_initrddir}/cpqarrayd
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/cpqarrayd
%{_sbindir}/cpqarrayd
%{_mandir}/man1/cpqarrayd.1*

%changelog
* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-1mdk
- initial mandrake package, used parts from the provided spec file
